Bug 444523 - Cannot boot Fedora release 9 (Rawhide) with rhgb present on the kernel boot line
Cannot boot Fedora release 9 (Rawhide) with rhgb present on the kernel boot line
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 16:48 EDT by Daniel Duggan
Modified: 2009-07-14 13:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:38:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log and dmesg log from a boot where the rhgb was removed (68.88 KB, text/plain)
2008-04-28 16:48 EDT, Daniel Duggan
no flags Details
dmesg and xorg log with rhgb present in the kernel boot line (69.04 KB, text/plain)
2008-04-28 17:10 EDT, Daniel Duggan
no flags Details
xorg and dmesg using the nouveau driver (125.52 KB, text/plain)
2008-05-05 22:23 EDT, Daniel Duggan
no flags Details

  None (edit)
Description Daniel Duggan 2008-04-28 16:48:13 EDT
Description of problem:
Cannot boot Fedora release 9 (Rawhide) with rhgb present on the kernel boot
line. The boot process will freeze at trying to start GDM. Once rhgb is removed
then the boot process will proceed as expected to the gui login screen.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Boot the Machine
2.
3.
  
Actual results:
Machine will hard lock / freeze immediately before the appearance of the gui login

Expected results:
Boot process  should proceed as expected

Additional info:
I have been running Alpha since it was released and this issue has only just
appeared with the updates of the last several days.
I have attached the Xorg.0.log and dmesg log from a boot where the rhgb was
removed from the kernel boot line.
Comment 1 Daniel Duggan 2008-04-28 16:48:13 EDT
Created attachment 304040 [details]
Xorg.0.log and dmesg log from a boot where the rhgb was removed
Comment 2 Daniel Duggan 2008-04-28 17:10:30 EDT
Created attachment 304043 [details]
dmesg and xorg log with rhgb present in the kernel boot line
Comment 3 Daniel Duggan 2008-05-05 22:23:10 EDT
Created attachment 304585 [details]
xorg and dmesg using the nouveau driver
Comment 4 gian luca rasponi 2008-05-07 18:44:40 EDT
Same happens here:

spontaneous reboot right before login screen (first boot after power-on);
system freeze before login screen ( after rebooting ).

login is also possible putting "Driver = vesa" in xorg.conf even with rhgb
enabled, while freeze occur with "Driver = nv".

 
Comment 5 Bug Zapper 2008-05-14 06:20:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 David J Craigon 2008-05-23 10:36:42 EDT
I have this problem in the released Fedora 9 with a Dell D630 Latitude, when
using  a docking station and an external monitor only. Does not occur for me
when using laptop screen directly.
Comment 7 Matěj Cepl 2008-10-02 04:38:45 EDT
David, please, attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 8 Matěj Cepl 2008-10-29 05:50:21 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 Bug Zapper 2009-06-09 20:30:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 13:38:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.